<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Desafio Menu</title>
    <link href="https://fonts.googleapis.com/css?family=Oswald" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <style>
        /* ============== Minha Resolução ============== */
        
        /* .logo, .menu-toggle, .menu, .autenticacao, li{
            display: inline-block;
        }

        body {
            margin: 0px;
            border: 0px;
            background-color: rgb(212, 211, 211);
        }

        .cabecalho {
            height: 60px;
            display: block;
            background-color: rgb(42, 42, 42);
            border-bottom: solid 2px rgb(77, 122, 248);;
        }  
        
        .menu a, .autenticacao a {
            text-decoration: none;
            color: white;
        }

        .menu-toggle, .autenticacao {
            float: right;
        }

        .logo {
            float: left;
        }
        .menu-toggle {
            margin: 10px 15px 0px 0px;
            font-size: 30px;
            border: none;
            color: white;
            text-decoration: none;
            background-color: rgb(42, 42, 42);
            display: none;
        }

        .menu a, .autenticacao a{
            font-size: 24px;
            padding: 10px;
        }
        .menu a:hover{
            background-color: rgb(77, 122, 248);
            color: black;
        }

        img {
            height: 50px;
        }

        .logo{
            margin-top: 5px;
        }

        .autenticacao {
            margin-top: 16px;
            margin-right: 15px;
        }

        .destaque {
            background-color: red;
            border-radius: 25px;
        }

        @media (max-width: 900px) {
            .autenticacao {
                display: none;
            }
        }

        @media (max-width: 650px) {
            .menu ul {
                display: none;
            }

            .menu-toggle {
                display: inline-block;
            }
        } */

        /* ============== Resolução do Curso ============== */

        * {
            box-sizing: border-box;
        }

        body {
            margin: 0;
            font-family: 'Oswald', sans-serif;
            background-color: lightgray;
        } 

        .cabecalho {
            background: #333;
            border-bottom: solid 5px #4faddb;
            height: 80px;
            box-sizing: content-box;
        }

        .logo {
            display: inline-block;
            height: 80px;
            padding: 15px;
        }

        .logo img {
            height: 100%;
        }

        .menu-toggle {
            float: right;
            color: white;
            background-color: #555;
            border: solid 1px #777;
            border-radius: 5px;
            height: 40px;
            padding: 10px 20px;
            margin: 20px 15px;
        }

        .menu {
            display: inline-block;
            vertical-align: top;
            height: 80px;
            padding: 25px;
        }

        .menu ul {
            margin: 0;
            padding: 0;
        }

        .menu li {
            display: inline-block;
        }

        .cabecalho a {
            text-decoration: none;
            color: white;
            font-size: 1.3rem;
        }

        .menu a {
            padding: 15px;
        }

        .autenticacao {
            float: right;
            height: 80px;
            padding: 25px;
        }

        .menu a:hover,
        .menu a.selected{
            background-color: #4faddb;
            color: black;
        }
        
        .botao {
            border-radius: 25px;
            padding: 10px 25px;
            margin: 10px;
        }

        .destaque {
            background-color: red;
            color: white;
        }

        @media (min-width: 679px) {
            .menu-toggle {
                display: none;
            }
        }

        @media (max-width: 690px) {
            .menu {
                display: none;
            }
        }

        @media (max-width: 910px) {
            .autenticacao {
                display: none;
            }
        }
    </style>
</head>

<body>
    <header class="cabecalho">
        <div class="logo">
            <a href="#inicio">
                <img src="http://files.cod3r.com.br/curso-web/logo.png" alt="Logo" />
            </a>
        </div>
        <button class="menu-toggle">
            <i class="fa fa-lg fa-bars"></i>
        </button>
        <nav class="menu">
            <ul>
                <li>
                    <a href="#inicio">Início</a>
                </li>
                <li>
                    <a href="#cursos">Cursos</a>
                </li>
                <li>
                    <a href="#sobre">Sobre</a>
                </li>
                <li>
                    <a href="#contato">Contato</a>
                </li>
            </ul>
        </nav>
        <aside class="autenticacao">
            <a href="#login">Login</a>
            <a href="#registar" class="botao destaque">Registrar</a>
        </aside>
    </header>

    <script>
        window.onhashchange = function(e) {
            const oldURL = e.oldURL.split('#')[1]
            const newURL = e.newURL.split('#')[1]
            const oldMenu = document.querySelector(`.menu [href='#${oldURL}']`)
            const newMenu = document.querySelector(`.menu [href='#${newURL}']`)
            oldMenu && oldMenu.classList.remove('selected')
            newMenu && newMenu.classList.add('selected')
            console.log(oldURL, newURL)
        }
    </script>
</body>

</html>